<?php 

/**
 * In multistore solutions, adding a prefix to an order ID 
 * is a common way to distinguish between orders from different stores
 * in the Montonio Partner System.
 * 
 * This class provides methods to add and remove this prefix in a uniform way
 */
class MontonioOrderPrefixer 
{
    const SEPARATOR = '-';
    const SUFFIX_SEPARATOR = '_';

    public static function addPrefix($prefix, $merchantReference) {
        if (!empty($prefix)) {
            return $prefix . self::SEPARATOR . $merchantReference;
        }
        return $merchantReference;
    }

    public static function removePrefix($merchantReference) {

        //remove the prefix if exists
        $tmp = explode(self::SEPARATOR, $merchantReference);
        $result = end($tmp);

        //on sandbox mode _rand() is added at the end of merchant reference
        $hasSuffix = strpos($result, self::SUFFIX_SEPARATOR);
        if($hasSuffix) {
            //we have suffix
            $tmp = explode(self::SUFFIX_SEPARATOR, $result);
            $result = current($tmp);
        }

        return $result;
    }
}