/*
* 2007-2018 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author 2007-2021 Prestashop
*  @copyright Prestashop
*  @license http://opensource.org/licenses/osl-3.0.php Open Software License (OSL 3.0)
*  
*/

document.addEventListener('click', function(e) {
    if (!isMontonioCheckoutElement(e)) {
        return;
    };

    var preselectedAspspId = getMontonioPreselectedAspspId(e);
    setMontonioPreselectedAspsp(preselectedAspspId);

    var montonioCheckoutElements = document.querySelectorAll("[data-aspsp]");
    for (var i = 0; i < montonioCheckoutElements.length; i++) {
        montonioCheckoutElements[i].classList.remove('active');
    }
    e.target.classList.add('active');
})

function getMontonioPreselectedAspspId(e) {
    return e.target.getAttribute('data-aspsp');
}

function isMontonioCheckoutElement(e) {
    return e.target.hasAttribute('data-aspsp');
}

function setMontonioPreselectedAspsp(identifier) {
    var preselectedAspspInput = document.getElementById('montonio_payments_preselected_aspsp');
    preselectedAspspInput.value = identifier;
}

var preselectedCountryInput = document.getElementById('montonio_payments_preselected_country');
var montonioCountryDropdown = document.getElementById('montonio-payments-country-dropdown');

if (montonioCountryDropdown) {
    preselectedCountryInput.value = montonioCountryDropdown.value; // set initial value
}

jQuery(document).ready(function() {
    var isoCountries = [
        { id: 'EE', text: 'Estonia'},
        { id: 'LT', text: 'Lithuania'},
        { id: 'LV', text: 'Latvia'},
        { id: 'FI', text: 'Finland'},
        { id: 'PL', text: 'Poland'},
        { id: 'DE', text: 'Germany'}
    ];

    var montonioAttemptToSelectPayment = document.getElementById('montonio_attempt_to_select_payment_method');
    if (montonioAttemptToSelectPayment && montonioAttemptToSelectPayment.value === 'yes') {
        jQuery("[data-module-name=\"Montonio\"]").first().click();
    }

    jQuery(document).on('change', '.montonio-payments-country-dropdown', function(e) {
        var selectedRegion = e.target.value;

        jQuery('.montonio-aspsp').addClass('montonio-hidden');
        jQuery('.aspsp-region-'+selectedRegion).removeClass('montonio-hidden');

        // Prestashop 1.7 only
        var preselectedCountryInput = document.getElementById('montonio_payments_preselected_country');
        preselectedCountryInput.value = selectedRegion;
    })
})